Bug 7334 - Юникодное ударение показывается неправильно
: Юникодное ударение показывается неправильно
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libpango)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-09 02:48 by
Modified: 2013-08-15 19:05 (History)


Attachments
Пример рендеринга в gecko и konqueror (6.82 KB, image/png)
2005-07-09 02:48, Mikhail Yakshin
no flags Details
my examle (4.20 KB, image/png)
2006-02-13 13:41, Alexey Gladkov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-09 02:48:04
Существует в юникоде такой символ - ударение, которое при нормальном рендеринге
рисуется на символе перед ним. Большинство приложений в Сизифе обрабатывает его
нормально (проверялись KDE/Qt (konqueror), uxterm, gtk2/gnome2 (gimp2,
easytag)).

А вот firefox и mozilla отображают его неправильно: ударение попадает на не
предыдущий символ, а на следующий. Простой пример можно всегда посмотреть на
http://ru.wikipedia.org/

Два скриншота (правильный рендеринг в KHTML и неверный - в gecko) сейчас
приаттачу.
------- Comment #1 From 2005-07-09 02:48:45 -------
Created an attachment (id=975) [details]
Пример рендеринга в gecko и konqueror
------- Comment #2 From 2006-02-13 02:39:20 -------
В 1.5 на предложенном примере проблем не наблюдается.
------- Comment #3 From 2006-02-13 11:14:05 -------
Ну, вот этот простой пример:

http://ru.wikipedia.org/wiki/%D0%91%D0%B5%D1%80%D0%B5%D1%81%D1%82%D1%8F%D0%BD%D0%B0%D1%8F_%D0%B3%D1%80%D0%B0%D0%BC%D0%BE%D1%82%D0%B0

В FF 1.5 ударение видно на букве "е" и "м", тогда как должно быть на
предшествующих им "ы" и "а".

$ rpm -q firefox
firefox-1.5-alt1
------- Comment #4 From 2006-02-13 13:41:37 -------
Created an attachment (id=1385) [details]
my examle

вот мой пример ... может я чего-то не понимаю, но кажется все ударения на
месте.
посмотрите, если это так, то проблема не в firefox.
------- Comment #5 From 2006-02-13 19:06:39 -------
У меня все осталось ровно так же, как было. Может быть, дело в шрифтах - не на
всех это видно? На скриншоте, на самом деле - тоже довольно странно выглядят
эти
ударения - где-то между букв...
------- Comment #6 From 2007-01-03 03:23:38 -------
Есть такая ошибка в апстриме:

https://bugzilla.mozilla.org/show_bug.cgi?id=354475
http://bugzilla.gnome.org/show_bug.cgi?id=360189

Видимо, багу перевешиваем на pango?
------- Comment #7 From 2007-04-23 16:19:11 -------
*** Bug 11607 has been marked as a duplicate of this bug. ***
------- Comment #8 From 2008-07-26 20:02:36 -------
Подтверждается для firefox-3.0.1-alt1
------- Comment #9 From 2008-07-28 01:30:45 -------
Да. Это бага не firefox. Нужно перевешивать на pango.

Component => libpango
------- Comment #10 From 2008-07-28 02:49:29 -------
Этот баг теперь по ведомству aris@.
------- Comment #11 From 2008-10-15 21:57:32 -------
Ну да, зависит от шрифтов: в Lite 4.0.3 не наблюдается (наверное, потому что
там нет таких кривых шрифтов, как от Microsoft).
------- Comment #12 From 2010-11-06 17:51:20 -------
У меня воспроизводится после установки пакета fonts-ttf-ms-1.0-alt4 на p5,
после удаления все опять приходит в норму
------- Comment #13 From 2011-03-01 07:58:42 -------
И что теперь делаем?
------- Comment #14 From 2013-01-14 16:43:57 -------
Похоже, они это исправили! Не прошло и десяти лет.
------- Comment #15 From 2013-08-15 19:04:26 -------
(В ответ на комментарий №6)
> https://bugzilla.mozilla.org/show_bug.cgi?id=354475
RESOLVED WONTFIX (на деле INVALID), т.к.

> http://bugzilla.gnome.org/show_bug.cgi?id=360189
RESOLVED OBSOLETE (и впрямь исправлено).

(В ответ на комментарий №12)
> У меня воспроизводится после установки пакета fonts-ttf-ms
Не установлен; установил, запустил seamonkey, баг тоже не наблюдается.
------- Comment #16 From 2013-08-15 19:05:00 -------
PS: вот предложенный тесткейс -- ударение должно быть над первой "я":
вимовля́ння